Class 'MyFirebaseMessagingService' is not abstract and does not implement abstract base class member public abstract fun zzd(p0: Intent!)

  • A+
Category:Languages

Here I have used FirebaseMessagingService in Kotlin but when I run the project it will give me the following error:

Class 'MyFirebaseMessagingService' is not abstract and does not implement abstract base class member public abstract fun zzd(p0: Intent!): Unit defined in com.google.firebase.messaging.FirebaseMessagingService

Any help?


If you aren't using any other play services then upgrade your firebase version to 15.0.2.

if you are, downgrading to 12.0.1 will work.

Make sure to stick to play service 3.2.1 since 3.3.0 will still crash firebase-config.

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: